Bug 178152 - ftp/wzdftpd: Update to version 0.8.3
ftp/wzdftpd: Update to version 0.8.3
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-25 19:10 UTC by tkato432
Modified: 2013-04-30 04:20 UTC (History)
0 users

See Also:


Attachments
file.diff (13.51 KB, patch)
2013-04-25 19:10 UTC, tkato432
no flags Details | Diff
ftp_wzdftpd.diff (13.51 KB, patch)
2013-04-27 18:55 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-04-25 19:10:01 UTC
- Update to version 0.8.3

New file:
files/patch-ac-helpers__tls.m4

Remove file:
files/patch-modules-zeroconf-libwzd_avahi.h
files/patch-modules-zeroconf-libwzd_zeroconf.c
Comment 1 Edwin Groothuis freebsd_committer 2013-04-25 19:10:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 tkato432 2013-04-27 18:55:59 UTC
Remake of the patch against current tree.
Comment 3 Martin Wilke freebsd_committer 2013-04-30 04:15:42 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter freebsd_committer 2013-04-30 04:15:47 UTC
Author: miwi
Date: Tue Apr 30 03:15:37 2013
New Revision: 316874
URL: http://svnweb.freebsd.org/changeset/ports/316874

Log:
  - Update to 0.8.3
  
  PR:		178152
  Submitted by:	Ports Fury

Added:
  head/ftp/wzdftpd/files/patch-ac-helpers__tls.m4   (contents, props changed)
Deleted:
  head/ftp/wzdftpd/files/patch-modules-zeroconf-libwzd_avahi.h
  head/ftp/wzdftpd/files/patch-modules-zeroconf-libwzd_zeroconf.c
Modified:
  head/ftp/wzdftpd/Makefile
  head/ftp/wzdftpd/distinfo   (contents, props changed)
  head/ftp/wzdftpd/files/wzdftpd.in   (contents, props changed)
  head/ftp/wzdftpd/pkg-plist   (contents, props changed)

Modified: head/ftp/wzdftpd/Makefile
==============================================================================
--- head/ftp/wzdftpd/Makefile	Tue Apr 30 03:14:23 2013	(r316873)
+++ head/ftp/wzdftpd/Makefile	Tue Apr 30 03:15:37 2013	(r316874)
@@ -2,55 +2,54 @@
 # $FreeBSD$
 
 PORTNAME=	wzdftpd
-PORTVERSION=	0.8.1
-PORTREVISION=	9
+PORTVERSION=	0.8.3
 CATEGORIES=	ftp ipv6
-MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}-sources/${PORTNAME}-0.8
+MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}-sources/${PORTNAME}-${PORTVERSION:R}
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Modular FTP server configurable online using SITE commands
 
+LICENSE=	GPLv2 # (or later)
+
+OPTIONS_DEFINE=	ICONV IPV6 MYSQL PERL PGSQL SQLITE TCL
+OPTIONS_RADIO=	TLS ZEROCONF
+OPTIONS_RADIO_TLS=	GNUTLS OPENSSL
+OPTIONS_RADIO_ZEROCONF=	AVAHI HOWL
+OPTIONS_DEFAULT=	AVAHI GNUTLS
+HOWL_DESC=	Zeroconf support via Howl
+
 USES=		pkgconfig
-USE_AUTOTOOLS=	libtool
-USE_RC_SUBR=	wzdftpd
-USE_GMAKE=	yes
-GNU_CONFIGURE=	yes
+USE_AUTOTOOLS=	libtoolize aclocal autoheader automake autoconf
+LIBTOOLIZE_ARGS=--copy --force
+ACLOCAL_ARGS=	-I m4 -I ac-helpers
+AUTOMAKE_ARGS=	--add-missing --copy
+CONFIGURE_ARGS=	--sysconfdir=${ETCDIR} --without-pam --disable-bonjour
 USE_LDCONFIG=	yes
-USE_GNOME=	ltverhack
-CONFIGURE_ARGS+=	--without-pam --disable-pgsql --disable-bonjour
-CPPFLAGS+=	-I${LOCALBASE}/include ${PTHREAD_CFLAGS}
-LDFLAGS+=	-L${LOCALBASE}/lib ${PTHREAD_LIBS}
-PKGMESSAGE=	${WRKDIR}/pkg-message
+MAKE_JOBS_SAFE=	yes
 
-OPTIONS_DEFINE=	UTF8 TCL OPENSSL GNUTLS IPV6 PERL MYSQL
-OPTIONS_RADIO=	ZEROCONF
-OPTIONS_RADIO_ZEROCONF=	AVAHI HOWL
-OPTIONS_DEFAULT=	GNUTLS IPV6 AVAHI
+USE_RC_SUBR=	wzdftpd
+
+CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
 
-UTF8_DESC=	Enable UTF8 support
-HOWL_DESC=	Enable Zeroconf support using Howl
-AVAHI_DESC=	Enable Zeroconf support using Avahi
-
-MAN1=	siteconfig.1 \
-	siteuptime.1 \
-	sitewho.1 \
-	wzd-config.1
-MAN8=	wzdftpd.8
+MAN1=		siteconfig.1 siteuptime.1 sitewho.1 wzd-config.1
+MAN8=		wzdftpd.8
 
 .include <bsd.port.options.mk>
 
-.if ${PORT_OPTIONS:MUTF8}
+.if ${PORT_OPTIONS:MICONV}
 USES+=		iconv
+CONFIGURE_ARGS+=	--with-libiconv-prefix=${LOCALBASE}
 .else
 CONFIGURE_ARGS+=	--disable-utf8
 .endif
 
 .if ${PORT_OPTIONS:MTCL}
-LIB_DEPENDS+=	tcl84:${PORTSDIR}/lang/tcl84
-CONFIGURE_ARGS+=	--with-tcl='${PREFIX}/lib/tcl8.4'
+USE_TCL_BUILD=	yes
+USE_TCL=	yes
+CONFIGURE_ARGS+=	--with-tcl=${TCL_LIBDIR}
 PLIST_SUB+=	TCL=""
 .else
-CONFIGURE_ARGS+=	--without-tcl
 PLIST_SUB+=	TCL="@comment "
 .endif
 
@@ -61,21 +60,23 @@ CONFIGURE_ARGS+=	--disable-openssl
 .endif
 
 .if ${PORT_OPTIONS:MGNUTLS}
-LIB_DEPENDS+=	gnutls.26:${PORTSDIR}/security/gnutls
+LIB_DEPENDS+=	gnutls:${PORTSDIR}/security/gnutls
 .else
 CONFIGURE_ARGS+=	--disable-gnutls
 .endif
 
-.if !${PORT_OPTIONS:MIPV6}
+.if empty(PORT_OPTIONS:MIPV6)
 CONFIGURE_ARGS+=	--disable-ipv6
 .endif
 
-.if !${PORT_OPTIONS:MPERL}
-CONFIGURE_ARGS+=	--disable-perl
-PLIST_SUB+=	PERL="@comment "
-.else
+.if ${PORT_OPTIONS:MPERL}
 USE_PERL5=	yes
+MAN3PREFIX=	${PREFIX}/lib/perl5/${PERL_VERSION}
+MAN3+=		wzdftpd.3
 PLIST_SUB+=	PERL=""
+.else
+CONFIGURE_ARGS+=	--disable-perl
+PLIST_SUB+=	PERL="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MMYSQL}
@@ -86,35 +87,73 @@ CONFIGURE_ARGS+=	--disable-mysql
 PLIST_SUB+=	MYSQL="@comment "
 .endif
 
-.if ${PORT_OPTIONS:MZEROCONF}
+.if ${PORT_OPTIONS:MPGSQL}
+USE_PGSQL=	yes
+CONFIGURE_ARGS+=	--with-pgsql=${LOCALBASE}
+PLIST_SUB+=	PGSQL=""
+.else
+CONFIGURE_ARGS+=	--disable-pgsql
+PLIST_SUB+=	PGSQL="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MSQLITE}
+USE_SQLITE=	3
+PLIST_SUB+=	SQLITE=""
+.else
+CONFIGURE_ARGS+=	--disable-sqlite3
+PLIST_SUB+=	SQLITE="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MAVAHI} || ${PORT_OPTIONS:MHOWL}
 PLIST_SUB+=	ZEROCONF=""
 .else
 PLIST_SUB+=	ZEROCONF="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MAVAHI}
-LIB_DEPENDS+=	dbus-1.3:${PORTSDIR}/devel/dbus \
-		avahi-core.7:${PORTSDIR}/net/avahi-app
+LIB_DEPENDS+=	dbus-1:${PORTSDIR}/devel/dbus \
+		avahi-core:${PORTSDIR}/net/avahi-app
 CONFIGURE_ARGS+=	--with-zeroconf --enable-avahi
 .endif
 
 .if ${PORT_OPTIONS:MHOWL}
-CFLAGS+=	-I${LOCALBASE}/include/howl
-LIB_DEPENDS+=	howl.0:${PORTSDIR}/net/howl
+LIB_DEPENDS+=	howl:${PORTSDIR}/net/howl
+CPPFLAGS+=	-I${LOCALBASE}/include/howl
 CONFIGURE_ARGS+=	--with-zeroconf --enable-howl
 .endif
 
-PORTDOCS=	AUTHORS Permissions.ReadMeFirst README TLS.ReadMeFirst ChangeLog
+post-extract:
+	@${RM} -f ${WRKSRC}/m4/libtool.m4
+	@${RM} -f ${WRKSRC}/m4/lib-*.m4
+	@${ECHO_CMD} -n > ${WRKSRC}/config.rpath
 
 post-patch:
-	@${REINPLACE_CMD} -e "s|@HAVE_PERL_TRUE@|#|g" ${WRKSRC}/Makefile.in
-	@${REINPLACE_CMD} -e "s|-lpthread|${PTHREAD_LIBS}|" ${WRKSRC}/configure
+	@${REINPLACE_CMD} -e \
+		'/Libs:/s|@PTHREAD_CFLAGS@|@LTLIBICONV@|' \
+		${WRKSRC}/wzdftpd.pc.in
+	@${REINPLACE_CMD} -e \
+		'/LDFLAGS/s|@PTHREAD_CFLAGS@|@LTLIBICONV@|' \
+		${WRKSRC}/libwzd-core/Makefile.am
+	@${REINPLACE_CMD} -e \
+		's|INSTALLDIRS=vendor|INSTALLPRIVLIB=$${prefix}/lib| ; \
+		 /MAKE/s| install| pure_install|' \
+		${WRKSRC}/libwzd-perl/Makefile.am
+.for i in backends modules
+	@${FIND} ${WRKSRC}/${i} -name "Makefile.am" | ${XARGS} \
+		${REINPLACE_CMD} -e \
+		'/^libdir/s|$${pkgdatadir}|$${prefix}/lib/wzdftpd|'
+.endfor
+	@${FIND} ${WRKSRC} -name "*_tls.c" | ${XARGS} ${REINPLACE_CMD} -e \
+		'/<gcrypt.h>/d ; \
+		 /gcry_control/d' \
 
 post-install:
+	(cd ${WRKSRC} && ${INSTALL_DATA} *.pc ${PREFIX}/libdata/pkgconfig )
 .if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
-.for i in ${PORTDOCS}
-	@${INSTALL_DATA} ${WRKSRC}/${i} ${DOCSDIR}
+.for i in AUTHORS ChangeLog NEWS Permissions.ReadMeFirst README \
+	TLS.ReadMeFirst UPGRADING wzd_tls.cnf
+	(cd ${WRKSRC} && ${INSTALL_DATA} ${i} ${DOCSDIR})
 .endfor
 .endif
 

Modified: head/ftp/wzdftpd/distinfo
==============================================================================
--- head/ftp/wzdftpd/distinfo	Tue Apr 30 03:14:23 2013	(r316873)
+++ head/ftp/wzdftpd/distinfo	Tue Apr 30 03:15:37 2013	(r316874)
@@ -1,2 +1,2 @@
-SHA256 (wzdftpd-0.8.1.tar.gz) = 7d2a41399c7d098489acb8bcf6deb0654971e1efcc02a78ac09633eef35946a0
-SIZE (wzdftpd-0.8.1.tar.gz) = 916176
+SHA256 (wzdftpd-0.8.3.tar.gz) = 14b958739bfe8f2c9e665b036ea627f7830332a43a32000feb1b6e632c18ec5d
+SIZE (wzdftpd-0.8.3.tar.gz) = 850981

Added: head/ftp/wzdftpd/files/patch-ac-helpers__tls.m4
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/ftp/wzdftpd/files/patch-ac-helpers__tls.m4	Tue Apr 30 03:15:37 2013	(r316874)
@@ -0,0 +1,11 @@
+--- ac-helpers/tls.m4.orig
++++ ac-helpers/tls.m4
+@@ -22,7 +22,7 @@
+   )
+ 
+ if test "$gnutls" = "yes"; then
+-AM_PATH_LIBGNUTLS(0.9.8,wzd_have_gnutls=yes)
++PKG_CHECK_MODULES(LIBGNUTLS, [gnutls], [wzd_have_gnutls=yes], [wzd_have_gnutls=no])
+ fi
+ 
+ # openssl is checked only if gnutls was not found or disabled

Modified: head/ftp/wzdftpd/files/wzdftpd.in
==============================================================================
--- head/ftp/wzdftpd/files/wzdftpd.in	Tue Apr 30 03:14:23 2013	(r316873)
+++ head/ftp/wzdftpd/files/wzdftpd.in	Tue Apr 30 03:15:37 2013	(r316874)
@@ -20,7 +20,7 @@ wzdftpd_enable=${wzdftpd_enable:-"NO"}		
 name="wzdftpd"
 rcvar=wzdftpd_enable
 command="%%PREFIX%%/sbin/${name}"
-required_files="%%PREFIX%%/etc/wzd.cfg"
+required_files="%%PREFIX%%/etc/wzdftpd/wzd.cfg"
 
 load_rc_config $name
 run_rc_command "$1"

Modified: head/ftp/wzdftpd/pkg-plist
==============================================================================
--- head/ftp/wzdftpd/pkg-plist	Tue Apr 30 03:14:23 2013	(r316873)
+++ head/ftp/wzdftpd/pkg-plist	Tue Apr 30 03:15:37 2013	(r316874)
@@ -3,17 +3,19 @@ bin/siteconfig
 bin/siteuptime
 bin/sitewho
 bin/wzd-config
-etc/wzd.pem
-etc/file_ginfo.txt
-etc/file_help.txt
-etc/file_swho.txt
-etc/file_user.txt
-etc/file_group.txt
-etc/file_rules.txt
-etc/file_users.txt
-etc/file_vfs.txt
-etc/file_who.txt
-etc/file_groups.txt
+%%ETCDIR%%/file_ginfo.txt
+%%ETCDIR%%/file_group.txt
+%%ETCDIR%%/file_groups.txt
+%%ETCDIR%%/file_help.txt
+%%ETCDIR%%/file_rules.txt
+%%ETCDIR%%/file_swho.txt
+%%ETCDIR%%/file_user.txt
+%%ETCDIR%%/file_users.txt
+%%ETCDIR%%/file_vfs.txt
+%%ETCDIR%%/file_who.txt
+%%ETCDIR%%/users.sample
+%%ETCDIR%%/wzd.cfg.sample
+%%ETCDIR%%/wzd.pem
 include/wzdftpd/libwzd-auth/wzd_auth.h
 include/wzdftpd/libwzd-auth/wzd_base64.h
 include/wzdftpd/libwzd-auth/wzd_crypt.h
@@ -32,7 +34,6 @@ include/wzdftpd/libwzd-base/wzd_strlcat.
 include/wzdftpd/libwzd-base/wzd_strtok_r.h
 include/wzdftpd/libwzd-core/arch/bsd.h
 include/wzdftpd/libwzd-core/arch/win32.h
-include/wzdftpd/libwzd-core/ls.h
 include/wzdftpd/libwzd-core/wzd_ClientThread.h
 include/wzdftpd/libwzd-core/wzd_action.h
 include/wzdftpd/libwzd-core/wzd_all.h
@@ -53,8 +54,9 @@ include/wzdftpd/libwzd-core/wzd_group.h
 include/wzdftpd/libwzd-core/wzd_hardlimits.h
 include/wzdftpd/libwzd-core/wzd_ip.h
 include/wzdftpd/libwzd-core/wzd_libmain.h
-include/wzdftpd/libwzd-core/wzd_login.h
+include/wzdftpd/libwzd-core/wzd_list.h
 include/wzdftpd/libwzd-core/wzd_log.h
+include/wzdftpd/libwzd-core/wzd_login.h
 include/wzdftpd/libwzd-core/wzd_messages.h
 include/wzdftpd/libwzd-core/wzd_misc.h
 include/wzdftpd/libwzd-core/wzd_mod.h
@@ -83,45 +85,64 @@ include/wzdftpd/libwzd_err.h
 include/wzdftpd/libwzd_pv.h
 include/wzdftpd/libwzd_socket.h
 include/wzdftpd/libwzd_tls.h
-lib/libwzd_core.a
-lib/libwzd_core.la
-lib/libwzd_core.so
-lib/libwzd_core.so.0
 lib/libwzd.a
 lib/libwzd.la
 lib/libwzd.so
-lib/libwzd.so.0
-share/aclocal/wzd.m4
+lib/libwzd.so.801
+lib/libwzd_core.a
+lib/libwzd_core.la
+lib/libwzd_core.so
+lib/libwzd_core.so.801
+%%PERL%%%%SITE_PERL%%/%%PERL_ARCH%%/auto/wzdftpd/.packlist
+%%PERL%%%%SITE_PERL%%/%%PERL_ARCH%%/auto/wzdftpd/wzdftpd.bs
+%%PERL%%%%SITE_PERL%%/%%PERL_ARCH%%/auto/wzdftpd/wzdftpd.so
+%%PERL%%%%SITE_PERL%%/%%PERL_ARCH%%/wzdftpd.pm
+%%MYSQL%%lib/wzdftpd/backends/libwzdmysql.a
+%%MYSQL%%lib/wzdftpd/backends/libwzdmysql.la
+%%MYSQL%%lib/wzdftpd/backends/libwzdmysql.so
+%%PGSQL%%lib/wzdftpd/backends/libwzdpgsql.a
+%%PGSQL%%lib/wzdftpd/backends/libwzdpgsql.la
+%%PGSQL%%lib/wzdftpd/backends/libwzdpgsql.so
+lib/wzdftpd/backends/libwzdplaintext.a
+lib/wzdftpd/backends/libwzdplaintext.la
+lib/wzdftpd/backends/libwzdplaintext.so
+%%SQLITE%%lib/wzdftpd/backends/libwzdsqlite.a
+%%SQLITE%%lib/wzdftpd/backends/libwzdsqlite.la
+%%SQLITE%%lib/wzdftpd/backends/libwzdsqlite.so
+lib/wzdftpd/modules/libwzd_debug.a
+lib/wzdftpd/modules/libwzd_debug.la
+lib/wzdftpd/modules/libwzd_debug.so
+%%PERL%%lib/wzdftpd/modules/libwzd_perl.a
+%%PERL%%lib/wzdftpd/modules/libwzd_perl.la
+%%PERL%%lib/wzdftpd/modules/libwzd_perl.so
+lib/wzdftpd/modules/libwzd_sfv.a
+lib/wzdftpd/modules/libwzd_sfv.la
+lib/wzdftpd/modules/libwzd_sfv.so
+%%TCL%%lib/wzdftpd/modules/libwzd_tcl.a
+%%TCL%%lib/wzdftpd/modules/libwzd_tcl.la
+%%TCL%%lib/wzdftpd/modules/libwzd_tcl.so
+%%ZEROCONF%%lib/wzdftpd/modules/libwzd_zeroconf.a
+%%ZEROCONF%%lib/wzdftpd/modules/libwzd_zeroconf.la
+%%ZEROCONF%%lib/wzdftpd/modules/libwzd_zeroconf.so
+libdata/pkgconfig/wzdftpd.pc
+%%PORTDOCS%%%%DOCSDIR%%/AUTHORS
+%%PORTDOCS%%%%DOCSDIR%%/ChangeLog
+%%PORTDOCS%%%%DOCSDIR%%/NEWS
+%%PORTDOCS%%%%DOCSDIR%%/Permissions.ReadMeFirst
+%%PORTDOCS%%%%DOCSDIR%%/README
+%%PORTDOCS%%%%DOCSDIR%%/TLS.ReadMeFirst
+%%PORTDOCS%%%%DOCSDIR%%/UPGRADING
+%%PORTDOCS%%%%DOCSDIR%%/wzd_tls.cnf
 sbin/wzdftpd
-%%DATADIR%%/backends/libwzdplaintext.a
-%%DATADIR%%/backends/libwzdplaintext.la
-%%DATADIR%%/backends/libwzdplaintext.so
-%%MYSQL%%%%DATADIR%%/backends/libwzdmysql.a
-%%MYSQL%%%%DATADIR%%/backends/libwzdmysql.la
-%%MYSQL%%%%DATADIR%%/backends/libwzdmysql.so
-%%DATADIR%%/modules/libwzd_debug.so
-%%DATADIR%%/modules/libwzd_debug.la
-%%DATADIR%%/modules/libwzd_debug.a
-%%DATADIR%%/modules/libwzd_sfv.a
-%%DATADIR%%/modules/libwzd_sfv.la
-%%DATADIR%%/modules/libwzd_sfv.so
-%%PERL%%%%DATADIR%%/modules/libwzd_perl.a
-%%PERL%%%%DATADIR%%/modules/libwzd_perl.la
-%%PERL%%%%DATADIR%%/modules/libwzd_perl.so
-%%TCL%%%%DATADIR%%/modules/libwzd_tcl.a
-%%TCL%%%%DATADIR%%/modules/libwzd_tcl.la
-%%TCL%%%%DATADIR%%/modules/libwzd_tcl.so
-%%ZEROCONF%%%%DATADIR%%/modules/libwzd_zeroconf.a
-%%ZEROCONF%%%%DATADIR%%/modules/libwzd_zeroconf.la
-%%ZEROCONF%%%%DATADIR%%/modules/libwzd_zeroconf.so
-@dirrm %%DATADIR%%/modules/
-@dirrm %%DATADIR%%/backends/
-@dirrm %%DATADIR%%/
-@dirrm include/wzdftpd/libwzd-auth
-@dirrm include/wzdftpd/libwzd-base
+share/aclocal/wzd.m4
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
+@dirrm lib/wzdftpd/modules
+@dirrm lib/wzdftpd/backends
+@dirrm lib/wzdftpd
+%%PERL%%@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/wzdftpd
 @dirrm include/wzdftpd/libwzd-core/arch
 @dirrm include/wzdftpd/libwzd-core
+@dirrm include/wzdftpd/libwzd-base
+@dirrm include/wzdftpd/libwzd-auth
 @dirrm include/wzdftpd
-etc/wzd.cfg.sample
-etc/users.sample
-@dirrmtry etc/wzdftpd
+@dirrmtry %%ETCDIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"